Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2130981 - Calendar does not delete events properly
Summary: Calendar does not delete events properly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-calendar
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F37FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2022-09-29 15:04 UTC by Kamil Páral
Modified: 2022-10-10 14:22 UTC (History)
7 users (show)

Fixed In Version: gnome-calendar-43.0-3.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-10-10 14:22:51 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME gnome-calendar issues 858 0 None closed Event deletion aborts unfinished previous delete attempt 2022-10-05 18:02:08 UTC

Description Kamil Páral 2022-09-29 15:04:43 UTC
This bug is only created for blocker-related purposes. Please read the upstream issue here:
https://gitlab.gnome.org/GNOME/gnome-calendar/-/issues/858

And see the videos that I attached there.

Proposing as an F37 blocker, in case this functionality is considered a basic functionality:
https://fedoraproject.org/wiki/Fedora_37_Final_Release_Criteria#Default_application_functionality

Comment 1 Adam Williamson 2022-09-30 16:39:07 UTC
+4 in https://pagure.io/fedora-qa/blocker-review/issue/934 , marking accepted.

Comment 2 Ben Cotton 2022-10-05 18:02:43 UTC
Upstream has a candidate fix: https://gitlab.gnome.org/GNOME/gnome-calendar/-/merge_requests/257

Comment 3 Fedora Update System 2022-10-05 18:22:18 UTC
FEDORA-2022-89b6622d53 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-89b6622d53

Comment 4 Fedora Update System 2022-10-06 14:17:27 UTC
FEDORA-2022-89b6622d53 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-89b6622d53`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-89b6622d53

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Kamil Páral 2022-10-06 14:41:49 UTC
(In reply to Fedora Update System from comment #3)
> FEDORA-2022-89b6622d53 has been submitted as an update to Fedora 37.
> https://bodhi.fedoraproject.org/updates/FEDORA-2022-89b6622d53

This update fixes the problem for single events.

Comment 6 Fedora Update System 2022-10-10 14:22:51 UTC
FEDORA-2022-89b6622d53 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.